ParameterTypes (Groovy 5.0.8)

Package: org.codehaus.groovy.reflection

## [Java] Class ParameterTypes

- org.codehaus.groovy.reflection.ParameterTypes

-     public class ParameterTypes
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ParameterTypes()`
    `ParameterTypes(Class[] pt)`
    `ParameterTypes(String[] pt)` @deprecated
    `ParameterTypes(CachedClass[] pt)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final Object[]` | `coerceArgumentsToClasses(Object[] arguments)`
    `` | `public Object[]` | `correctArguments(Object[] arguments)`
    `` | `public Class[]` | `getNativeParameterTypes()`
    `` | `protected Class[]` | `getPT()`
    `` | `public CachedClass[]` | `getParameterTypes()`
    `` | `public boolean` | `isValidExactMethod(Object[] args)`
    `` | `public boolean` | `isValidExactMethod(Class[] args)`
    `` | `public boolean` | `isValidMethod(Class[] argumentTypes)`
    `` | `public boolean` | `isValidMethod(Object[] arguments)`
    `` | `public boolean` | `isVargsMethod()`
    `` | `public boolean` | `isVargsMethod(Object[] arguments)`
    `` | `protected final void` | `setParametersTypes(CachedClass[] pt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ParameterTypes()

    - #### public ParameterTypes(Class[] pt)

    - #### @Deprecated
      public ParameterTypes(String[] pt)

      deprecated:

    - #### public ParameterTypes(CachedClass[] pt)

  - ### Method Detail

    - #### public final Object[] coerceArgumentsToClasses(Object[] arguments)

    - #### public Object[] correctArguments(Object[] arguments)

    - #### public Class[] getNativeParameterTypes()

    - #### protected Class[] getPT()

    - #### public CachedClass[] getParameterTypes()

    - #### public boolean isValidExactMethod(Object[] args)

    - #### public boolean isValidExactMethod(Class[] args)

    - #### public boolean isValidMethod(Class[] argumentTypes)

    - #### public boolean isValidMethod(Object[] arguments)

    - #### public boolean isVargsMethod()

    - #### public boolean isVargsMethod(Object[] arguments)

    - #### protected final void setParametersTypes(CachedClass[] pt)